Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PVector
Name | ### cross()
Examples |
    PVector v1 = new PVector(10, 20, 2);
    PVector v2 = new PVector(60, 80, 6);
    PVector v3 = v1.cross(v2);
    println(v3);  // Prints "[ -40.0, 60.0, -400.0 ]"
Description | Calculates and returns a vector composed of the cross product between two vectors.
Syntax |
    vec.cross(v)
Parameters |
vec | any variable of type PVector
v | PVector: the vector to calculate the cross product with
Returns | PVector
Usage | Web & Application

Updated on August 30, 2010 04:29:39pm EDT